> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status



## OpenAPI

````yaml openapi.json get /checkout/status
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /checkout/status:
    parameters: []
    get:
      tags:
        - Checkout
      summary: Status
      parameters:
        - name: reference
          in: query
          required: false
          example: OxojUZ5M1s0Przfs1Q12J34e0bLBbazj28cX
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '467'
            ETag:
              schema:
                type: string
              example: W/"1d3-/Z79midQqy9+NgMdtQb01KhSpOs"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 02 Aug 2024 23:25:04 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Status - New
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      checkout:
                        type: object
                        properties:
                          id:
                            type: string
                          email:
                            type: string
                            format: email
                          amount:
                            type: integer
                          status:
                            type: string
                          reference:
                            type: string
                          hasPaid:
                            type: boolean
                          createdAt:
                            type: string
                            format: date-time
                          charges:
                            type: integer
                          subaccountId:
                            type: string
                          payableAmount:
                            type: integer
                          subaccountShare:
                            type: integer
                          hasActiveSubaccount:
                            type: boolean
                          subaccountSettlement:
                            type: integer
                          mainAccountShare:
                            type: integer
                          mainAccountSettlement:
                            type: integer
              example:
                status: true
                data:
                  checkout:
                    id: d6914c74-d962-4219-907c-34b0acc41710
                    email: emma@mailinator.com
                    amount: 10000
                    status: NEW
                    reference: FJgfVYyMWvIrMdfsrSytZMtIPc58XFEvyXpp
                    hasPaid: false
                    createdAt: '2024-08-02T23:23:04.977Z'
                    charges: 250
                    subaccountId: f16aee43-f1d5-43d7-8f0f-29acf85202bd
                    payableAmount: 10000
                    subaccountShare: 9000
                    hasActiveSubaccount: true
                    subaccountSettlement: 9000
                    mainAccountShare: 1000
                    mainAccountSettlement: 750
        '400':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '54'
            ETag:
              schema:
                type: string
              example: W/"36-Ir+pQpCNO5S62le4FfjWM7he/Qw"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 02 Feb 2024 14:52:45 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Status - Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
              example:
                message: Checkout record not found
                status: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````